*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
body{
  background-color: white;
}
.header{
  position: relative;
  margin-top: 10px;
  height: 250px;
  width: 100%;
  background-color: grey;
}

.header .headerimg{
  height:calc(100% - 40px);
  top: 40px;
  width: 100%;
  position: absolute;
}
.header .headerimg img{
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
}
.header .headercont{
  height:100%;
  width: 100%;
  position: absolute;
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
}
.header .headercont .name{
  font-weight: bold;
  color: gold;
  position: absolute;
  font-size: 65px;
  top: 80px;
  text-transform: uppercase;
}
.header .headercont .slogan{
  font-weight: bold;
  color: rgb(233, 231, 231);
  top: 140px;
  text-transform: uppercase;
  position: absolute;
  font-size: 24px;
}
.header .headercont .promise{
  font-weight: bold;
  color:gold;
  top: 170px;
  text-transform: uppercase;
  position: absolute;
  font-size: 18px;
}
.main{
  position: relative;
  width: 100%;
  min-width: 100%;
  min-height: 350px;
  height: 100%;
  background-color: white;
}
.main h1{
  font-size: 26px;
  padding: 5px;
  color: black;
  font-weight: bold;
}
.main .categorycont{
  padding: 5px;
  padding-bottom: 10px;
  min-height: auto 200px;
  width: 100%;
  min-width: 100%;
  position: relative;
  background-color: transparent;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  grid-template-rows: repeat(auto-fit, minmax(70px, 1fr));
  column-gap: 1em;
  justify-content: center;
  row-gap: 1.5em;
}
.main .categorycont .category{
  height: 80px;
  width: 100px;
  background-color:rgb(184, 184, 184);
  position: relative;
  display: flex;
  align-items: center;
  border-radius: 10px;
  justify-content: center;
}
.main .categorycont .category img{
  border-radius: 10px;
  top: 10px;
  height: 40px;
  width: 40px;
  position: absolute;
  object-fit: cover;
}
.main .categorycont .categoryname{
  z-index: 1;
  color:black;
  font-weight: bold;
  font-size: 12px;
  position: absolute;
  bottom: 10px;
}
.main .supercont{
  padding: 5px;
  padding-bottom: 10px;
  min-height: auto 200px;
  width: 100%;
  min-width: 100%;
  position: relative;
  background-color:transparent;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(165px, 0.2fr));
  grid-template-rows: repeat(auto-fit, minmax(260px, 0.1fr));
  column-gap: 1em;
  justify-content: center;
  row-gap: 1.5em;
}
.main .supercont .productcont{
  height: 270px;
  width: 170px;
  background-color: white;
  position: relative;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.main .supercont .productcont:hover{
  transform: scale(1.022);
}
.main .supercont .productcont img{
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  position:relative;
  top: 0px;
  height: 150px;
  width: 100%;
  object-fit: cover;
}
.main .supercont .productcont .name{
  color: black;
  font-size: 17px;
  padding: 5px 5px;
  font-weight: normal;
}
.main .supercont .productcont .price{
  color: black;
  font-size: 15px;
  padding: 5px 5px;
  font-weight: bold;
}
.main .supercont .productcont button{
  border: none;
  outline: none;
  position: absolute;
  bottom: 2px;
  width: 80%;
  left: 10%;
  background-color: rgb(224, 149, 8);
  border-radius: 20px;
  font-size: 16px;
  padding: 8px 12px;
}






@media only screen and (min-width: 780px){
  .header{
    position: relative;
    height: 350px;
    width: 100%;
    background-color: grey;
  }
  .header .headercont .name{
    font-weight: bold;
    color: gold;
    position: absolute;
    font-size: 65px;
    top: 110px;
    text-transform: uppercase;
  }
  .header .headercont .slogan{
    font-weight: bold;
    color: rgb(233, 231, 231);
    top: 180px;
    text-transform: uppercase;
    position: absolute;
    font-size: 24px;
  }
  .header .headercont .promise{
    font-weight: bold;
    color:gold;
    top: 210px;
    text-transform: uppercase;
    position: absolute;
    font-size: 18px;
  }
  
  
}